# Copyright (c) 2021, Xhive LLC
# License: MIT. See LICENSE
import json

import xhiveframework
from xhiveframework import _

from payments.payment_gateways.doctype.paytm_settings.paytm_settings import (
	get_paytm_config,
	get_paytm_params,
)


def get_context(context):
	context.no_cache = 1
	paytm_config = get_paytm_config()

	try:
		doc = xhiveframework.get_doc("Integration Request", xhiveframework.form_dict["order_id"])

		context.payment_details = get_paytm_params(
			json.loads(doc.data), doc.name, paytm_config
		)

		context.url = paytm_config.url

	except Exception:
		xhiveframework.log_error()
		xhiveframework.redirect_to_message(
			_("Invalid Token"),
			_("Seems token you are using is invalid!"),
			http_status_code=400,
			indicator_color="red",
		)

		xhiveframework.local.flags.redirect_location = xhiveframework.local.response.location
		raise xhiveframework.Redirect
